/************************/
/*         Mosel        */
/*                      */
/* File  xprm_ni.h      */
/************************/
/* (c) Copyright Fair Isaac Corporation 2001-2022. All rights reserved */

#ifndef _MOSEL_NI_H
#include "xprm_rt.h"

#if defined(XPRM_NICOMPAT) && !defined(MM_NICOMPAT)
#define MM_NICOMPAT XPRM_NICOMPAT
#endif

#include "mosel_ni.h"

typedef struct Vimactx* XPRMcontext;
typedef struct Fdesc* XPRMfdesc;
typedef struct MMhashmap* XPRMhashmap;
typedef struct Mipsolver XPRMmipsolver;
typedef struct Matrix XPRMmatrix;

typedef mm_dsoconst XPRMdsoconst;
typedef mm_dsofct XPRMdsofct;
typedef mm_dsotyp XPRMdsotyp;
typedef mm_dsoserv XPRMdsoserv;
typedef mm_dsointer XPRMdsointer;
typedef struct Mosel_ni* XPRMnifct;
typedef mm_iofcttab XPRMiofcttab;
typedef mm_iodrvtab XPRMiodrvtab;

#define XPRM_TOP_ST MM_TOP_ST
#define XPRM_FREE_ST MM_FREE_ST
#define XPRM_POP_INT MM_POP_INT
#define XPRM_POP_REAL MM_POP_REAL
#define XPRM_POP_STRING MM_POP_STRING
#define XPRM_POP_REF MM_POP_REF
#define XPRM_POP_ANY MM_POP_ANY
#define XPRM_DROP MM_DROP
#define XPRM_PUSH_INT MM_PUSH_INT
#define XPRM_PUSH_REAL MM_PUSH_REAL
#define XPRM_PUSH_STRING MM_PUSH_STRING
#define XPRM_PUSH_REF MM_PUSH_REF
#define XPRM_PUSH_ANY MM_PUSH_ANY
#define XPRM_GETMOD MM_GETMOD
#define XPRM_CST_INT MM_CST_INT
#define XPRM_CST_BOOL MM_CST_BOOL
#define XPRM_CST_REAL MM_CST_REAL
#define XPRM_CST_STRING MM_CST_STRING
#define XPRM_CTYPE_UNCONS MM_CTYPE_UNCONS
#define XPRM_CTYPE_GEQ MM_CTYPE_GEQ
#define XPRM_CTYPE_LEQ MM_CTYPE_LEQ
#define XPRM_CTYPE_EQ MM_CTYPE_EQ
#define XPRM_CTYPE_RNG MM_CTYPE_RNG
#define XPRM_CTYPE_SOS1 MM_CTYPE_SOS1
#define XPRM_CTYPE_SOS2 MM_CTYPE_SOS2
#define XPRM_CTYPE_CONT MM_CTYPE_CONT
#define XPRM_CTYPE_INT MM_CTYPE_INT
#define XPRM_CTYPE_BIN MM_CTYPE_BIN
#define XPRM_CTYPE_PINT MM_CTYPE_PINT
#define XPRM_CTYPE_SEC MM_CTYPE_SEC
#define XPRM_CTYPE_SINT MM_CTYPE_SINT
#define XPRM_CTYPE_FREE MM_CTYPE_FREE
#define XPRM_CSTAT_EMPTY MM_CSTAT_EMPTY
#define XPRM_CSTAT_HIDN MM_CSTAT_HIDN
#define XPRM_CSTAT_TEMP MM_CSTAT_TEMP
#define XPRM_CSTAT_READY MM_CSTAT_READY
#define XPRM_SHT_CTL MM_SHT_CTL
#define XPRM_MSK_CTL MM_MSK_CTL
#define XPRM_CHKCSTAT MM_CHKCSTAT
#define XPRM_GETCTYPE MM_GETCTYPE

#define XPRM_FE_STRICT MM_FE_STRICT
#define XPRM_FE_UNIX MM_FE_UNIX
#define XPRM_FE_DOS MM_FE_DOS
#define XPRM_FE_BOM MM_FE_BOM
#define XPRM_FE_NOBOM MM_FE_NOBOM

#define XPRM_FE_ENCDEF MM_FE_ENCDEF
#define XPRM_FE_MSK_ENC MM_FE_MSK_ENC
#define XPRM_FE_MSK_OPT MM_FE_MSK_OPT

#define XPRM_NIVERS MM_NIVERS
#define XPRM_MKVER MM_MKVER
#define XPRM_MKPRIORITY MM_MKPRIORITY
#define XPRM_MKCOMPAT MM_MKCOMPAT
#define XPRM_SRV_PARAM MM_SRV_PARAM
#define XPRM_SRV_RESET MM_SRV_RESET
#define XPRM_SRV_CHKVER MM_SRV_CHKVER
#define XPRM_SRV_UNLOAD MM_SRV_UNLOAD
#define XPRM_SRV_PARLST MM_SRV_PARLST
#define XPRM_SRV_IMCI MM_SRV_IMCI
#define XPRM_SRV_DEPLST MM_SRV_DEPLST
#define XPRM_SRV_STATIC MM_SRV_STATIC
#define XPRM_SRV_IODRVS MM_SRV_IODRVS
#define XPRM_SRV_ONEXIT MM_SRV_ONEXIT
#define XPRM_SRV_CHKRES MM_SRV_CHKRES
#define XPRM_SRV_PRIORITY MM_SRV_PRIORITY
#define XPRM_SRV_UPDVERS MM_SRV_UPDVERS
#define XPRM_SRV_IMPLST MM_SRV_IMPLST
#define XPRM_SRV_ANNOT MM_SRV_ANNOT
#define XPRM_SRV_DSOSTRE MM_SRV_DSOSTRE
#define XPRM_SRV_REQTYPS MM_SRV_REQTYPS
#define XPRM_SRV_PROVIDER MM_SRV_PROVIDER
#define XPRM_SRV_NSGRP MM_SRV_NSGRP
#define XPRM_SRV_MEMUSE MM_SRV_MEMUSE
#define XPRM_SRV_ARRIND MM_SRV_ARRIND
#define XPRM_SRV_DEPREC MM_SRV_DEPREC
#define XPRM_SRV_COMPAT MM_SRV_COMPAT
#define XPRM_STATIC_PROC MM_STATIC_PROC
#define XPRM_STATIC_INST MM_STATIC_INST
#define XPRM_FCT_GETPAR MM_FCT_GETPAR
#define XPRM_FCT_SETPAR MM_FCT_SETPAR
#define XPRM_UPDV_INIT MM_UPDV_INIT
#define XPRM_UPDV_FUNC MM_UPDV_FUNC
#define XPRM_UPDV_TYPE MM_UPDV_TYPE
#define XPRM_UPDV_GPAR MM_UPDV_GPAR
#define XPRM_UPDV_SPAR MM_UPDV_SPAR
#define XPRM_UPDV_ENDP MM_UPDV_ENDP
#define XPRM_FNDP_MCREAD MM_FNDP_MCREAD
#define XPRM_FNDP_MCWRITE MM_FNDP_MCWRITE
#define XPRM_FNDP_RTWRITE MM_FNDP_RTWRITE
#define XPRM_FNDP_NIREAD MM_FNDP_NIREAD
#define XPRM_FNDP_RTREAD MM_FNDP_RTREAD
#define XPRM_DTYP_PNCTX MM_DTYP_PNCTX
#define XPRM_DTYP_RFCNT MM_DTYP_RFCNT
#define XPRM_DTYP_APPND MM_DTYP_APPND
#define XPRM_DTYP_ORSET MM_DTYP_ORSET
#define XPRM_DTYP_PROB MM_DTYP_PROB
#define XPRM_DTYP_SHARE MM_DTYP_SHARE
#define XPRM_DTYP_TFBIN MM_DTYP_TFBIN
#define XPRM_DTYP_ORD MM_DTYP_ORD
#define XPRM_DTYP_CONST MM_DTYP_CONST
#define XPRM_DTYP_ANDX MM_DTYP_ANDX
#define XPRM_DTYP_NAMED MM_DTYP_NAMED
#define XPRM_CPY_COPY MM_CPY_COPY
#define XPRM_CPY_RESET MM_CPY_RESET
#define XPRM_CPY_APPEND MM_CPY_APPEND
#define XPRM_CPY_HASH MM_CPY_HASH
#define XPRM_CPY MM_CPY
#define XPRM_CREATE_NEW MM_CREATE_NEW
#define XPRM_CREATE_SHR MM_CREATE_SHR
#define XPRM_CREATE_CST MM_CREATE_CST
#define XPRM_CREATE MM_CREATE

#define XPRM_OPNDX_EXISTS MM_OPNDX_EXISTS
#define XPRM_OPNDX_DEL MM_OPNDX_DEL
#define XPRM_OPNDX_GET MM_OPNDX_GET
#define XPRM_OPNDX_SET MM_OPNDX_SET

#define XPRM_TFSTR_BIN MM_TFSTR_BIN

#define XPRM_COMPARE_EQ MM_COMPARE_EQ
#define XPRM_COMPARE_NEQ MM_COMPARE_NEQ
#define XPRM_COMPARE_LTH MM_COMPARE_LTH
#define XPRM_COMPARE_LEQ MM_COMPARE_LEQ
#define XPRM_COMPARE_GEQ MM_COMPARE_GEQ
#define XPRM_COMPARE_GTH MM_COMPARE_GTH
#define XPRM_COMPARE_CMP MM_COMPARE_CMP
#define XPRM_COMPARE MM_COMPARE
#define XPRM_COMPARE_ERROR MM_COMPARE_ERROR

#define XPRM_MPNAM_COL MM_MPNAM_COL
#define XPRM_MPNAM_ROW MM_MPNAM_ROW
#define XPRM_MPNAM_SOS MM_MPNAM_SOS

#define XPRM_IOCTRL_FCTS MM_IOCTRL_FCTS
#define XPRM_IOCTRL_DSO MM_IOCTRL_DSO
#define XPRM_IOCTRL_NAME MM_IOCTRL_NAME
#define XPRM_IOCTRL_OPEN MM_IOCTRL_OPEN
#define XPRM_IOCTRL_CLOSE MM_IOCTRL_CLOSE
#define XPRM_IOCTRL_READ MM_IOCTRL_READ
#define XPRM_IOCTRL_WRITE MM_IOCTRL_WRITE
#define XPRM_IOCTRL_IFROM MM_IOCTRL_IFROM
#define XPRM_IOCTRL_ITO MM_IOCTRL_ITO
#define XPRM_IOCTRL_INFO MM_IOCTRL_INFO
#define XPRM_IOCTRL_SIZE MM_IOCTRL_SIZE
#define XPRM_IOCTRL_RM MM_IOCTRL_RM
#define XPRM_IOCTRL_MV MM_IOCTRL_MV
#define XPRM_IOCTRL_SKIP MM_IOCTRL_SKIP

#define XPRM_HM_SET  MM_HM_SET
#define XPRM_HM_CLS  MM_HM_CLS
#define XPRM_HM_ONCE MM_HM_ONCE
#define XPRM_HM_UPD  MM_HM_UPD

#define XPRM_FID_NOLOC MM_FID_NOLOC
#define XPRM_FID_BTREF MM_FID_BTREF

#define XPRM_MEM_ZERO MM_MEM_ZERO
#define XPRM_MEM_NULL MM_MEM_NULL

#endif
